### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata

# Class AllUsersIdentity

java.lang.Object
com.sas.services.information.metadata.VirtualMetadata
com.sas.services.information.metadata.AllUsersIdentity

All Implemented Interfaces:
  `IdentityInterface`, `MetadataInterface`, `PersonInterface`, `PublicObjectInterface`, `Serializable`, `Remote`

@SASScope("ALL") @BinaryCompatibilityOnly public class AllUsersIdentity extends VirtualMetadata implements PersonInterface

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AllUsersIdentity()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addEmail(EmailInterface ei)`
  Add a new email to a user's list of email instances.
  `void`
  `addEmailAddress(String address)`
  Add a new email address to a user's email address list.
  `void`
  `addExternalIdentity(ExternalIdentityInterface externalIdentity)`
  Add an external identity to the Identity.
  `void`
  `addLocation(LocationInterface location)`
  Add a location to the user's list of locations.
  `void`
  `addLogin(LoginInterface login)`
  Add a login to the Identity.
  `void`
  `addPhoneNumber(PhoneNumberInterface phone)`
  Add a phone number to the user's list.
  `void`
  `deleteInternalAccount()`
  Delete Internal Account
  `List<MetadataInterface>`
  `getCreatedObjects()`
  Returns the list of objects this person has created.
  `String`
  `getDisplayName()`
  Get the identity's display name attribute.
  `String`
  `getEffectiveDispayName()`
  Get the effective display name for the identity.
  `String`
  `getEffectiveDisplayName()`
  Get the effective display name for the identity.
  `List`
  `getEmailAddresses()`
  Get the user email addresses.
  `List`
  `getEmails()`
  Get the user's email instances
  `List<ExternalIdentityInterface>`
  `getExternalIdentities()`
  Get a list of the External Identity objects associated with this Identity.
  `List`
  `getGroups()`
  Get the list of groups this object is a member of.
  `List`
  `getIdentityGroups()`
  Get a List of the IdentityGroups that this Identity belongs to.
  `List<IdentityMembershipInterface>`
  `getIdentityMembershipLevels()`
  Returns the List of IdentityMembershipInterface instances ordered by membership level
  `String`
  `getIdentityType()`
  Return the type of Identity.
  `InternalLoginUserInfo`
  `getInternalAccountOptions()`
  Return Internal Account (InternalLoginUserInfo) Options for this Person
  `List`
  `getLocations()`
  Return the list of locations for the user.
  `List`
  `getLogins()`
  Get a list of the Login objects associated with this Identity.
  `List<MetadataInterface>`
  `getModifiedObjects()`
  Returns the list of objects this person has modified.
  `String`
  `getName()`
  Get the name of this object.
  `List`
  `getPhoneNumbers()`
  Get the list of phone numbers for the user.
  `List`
  `getSubscribers()`
  Get a List of the subscriber identities owned by this Person.
  `String`
  `getTitle()`
  Get the Title attribute.
  `String`
  `getType()`
  Get the object type.
  `List`
  `getUserIds()`
  Get a list of the user id's from the logins associated with this Identity.
  `void`
  `removeEmail(EmailInterface ei)`
  Remove an email from a user's list of email instances.
  `void`
  `removeEmailAddress(String address)`
  Remove an address from a user's list of email addresses.
  `void`
  `removeExternalIdentity(ExternalIdentityInterface externalIdentity)`
  Remove an external identity from the Identity.
  `void`
  `removeLocation(LocationInterface location)`
  Remove a location from the user's list of lcoations.
  `void`
  `removeLogin(LoginInterface login)`
  Remove a Login from the Identity.
  `void`
  `removePhoneNumber(PhoneNumberInterface phone)`
  Remove a phone number from the user's list.
  `void`
  `setDisplayName(String displayName)`
  Set the identity's display name.
  `void`
  `setInternalAccountOptions(InternalLoginUserInfo intrlLgnUsrInfo)`
  Set Internal Account (InternalLoginUserInfo) Options for this Person
  `void`
  `setInternalAccountPassword(String password)`
  Set Internal Account Password
  `void`
  `setName(String name)`
  Set this object's name.
  `void`
  `setTitle(String title)`
  Set the Person's Title.

  ### Methods inherited from class com.sas.services.information.metadata.VirtualMetadata

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addProcessorInterface, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getContainer, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGUID, getIdentifier, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getObjectURI, getParent, getParentPath, getParents, getPath, getPaths, getPathUrl, getPathUrl, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getProcessorInterface, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getTypeDescriptor, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logMessage, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

- ## Constructor Details

  - ### AllUsersIdentity

    public AllUsersIdentity()

- ## Method Details

  - ### getName

    public String getName() throws RemoteException
    Description copied from interface: `PublicObjectInterface`
    Get the name of this object.
    Specified by:
      `getName` in interface `PublicObjectInterface`
    Overrides:
      `getName` in class `VirtualMetadata`
    Returns:
      String
    Throws:
      `RemoteException`

  - ### getType

    public String getType() throws RemoteException
    Description copied from interface: `MetadataInterface`
    Get the object type. Subclasses of Metadata will return a repository-neutral type string. If no subclass exists, Metadata returns the repository-specific type.
    Specified by:
      `getType` in interface `MetadataInterface`
    Overrides:
      `getType` in class `VirtualMetadata`
    Returns:
      A type string for the object.
    Throws:
      `RemoteException` - if an error occurs

  - ### getLogins

    public List getLogins() throws ServiceException, RemoteException
    Description copied from interface: `IdentityInterface`
    Get a list of the Login objects associated with this Identity.
    Specified by:
      `getLogins` in interface `IdentityInterface`
    Returns:
      a List of the Logins.
    Throws:
      `ServiceException` - in the event of a repository failure.
      `RemoteException` - in the event of remote object failure.

  - ### getUserIds

    public List getUserIds() throws ServiceException, RemoteException
    Description copied from interface: `IdentityInterface`
    Get a list of the user id's from the logins associated with this Identity.
    Specified by:
      `getUserIds` in interface `IdentityInterface`
    Returns:
      a List of the user id's.
    Throws:
      `ServiceException` - in the event of repository failure.
      `RemoteException` - in the event of remote object failure.

  - ### setName

    public void setName(String name) throws RemoteException
    Description copied from interface: `MetadataInterface`
    Set this object's name.

    Specified by:
      `setName` in interface `MetadataInterface`
    Overrides:
      `setName` in class `VirtualMetadata`
    Parameters:
      `name` - a `String` for the object name.
    Throws:
      `RemoteException` - if an error occurs

  - ### getEmailAddresses

    public List getEmailAddresses() throws RemoteException
    Description copied from interface: `PersonInterface`
    Get the user email addresses.

    Specified by:
      `getEmailAddresses` in interface `PersonInterface`
    Returns:
      A List of strings representing the user's email addresses.
    Throws:
      `RemoteException` - in the event of remote object failure.

  - ### addEmailAddress

    public void addEmailAddress(String address) throws RemoteException
    Description copied from interface: `PersonInterface`
    Add a new email address to a user's email address list.

    Specified by:
      `addEmailAddress` in interface `PersonInterface`
    Parameters:
      `address` - The new address to add.
    Throws:
      `RemoteException` - in the event of remote object failure.

  - ### removeEmailAddress

    public void removeEmailAddress(String address) throws RemoteException
    Description copied from interface: `PersonInterface`
    Remove an address from a user's list of email addresses.

    Specified by:
      `removeEmailAddress` in interface `PersonInterface`
    Parameters:
      `address` - The address to remove from the user's email list.
    Throws:
      `RemoteException` - in the event of remote object failure.

  - ### getEmails

    public List getEmails() throws RemoteException
    Description copied from interface: `PersonInterface`
    Get the user's email instances

    Specified by:
      `getEmails` in interface `PersonInterface`
    Returns:
      A List containing the user's email instances.
    Throws:
      `RemoteException` - in the event of remote object failure.

  - ### addEmail

    public void addEmail(EmailInterface ei) throws RemoteException
    Description copied from interface: `PersonInterface`
    Add a new email to a user's list of email instances.

    Specified by:
      `addEmail` in interface `PersonInterface`
    Throws:
      `RemoteException` - in the event of remote object failure.

  - ### removeEmail

    public void removeEmail(EmailInterface ei) throws RemoteException
    Description copied from interface: `PersonInterface`
    Remove an email from a user's list of email instances.

    Specified by:
      `removeEmail` in interface `PersonInterface`
    Throws:
      `RemoteException` - in the event of remote object failure.

  - ### getGroups

    public List getGroups() throws RemoteException
    Description copied from interface: `MetadataInterface`
    Get the list of groups this object is a member of.
    Specified by:
      `getGroups` in interface `MetadataInterface`
    Specified by:
      `getGroups` in interface `PersonInterface`
    Overrides:
      `getGroups` in class `VirtualMetadata`
    Returns:
      The List of GroupInterface objects this object is a member of.
    Throws:
      `RemoteException` - In the event of remote object failure.

  - ### getIdentityGroups

    public List getIdentityGroups() throws ServiceException, RemoteException
    Description copied from interface: `IdentityInterface`
    Get a List of the IdentityGroups that this Identity belongs to.
    Specified by:
      `getIdentityGroups` in interface `IdentityInterface`
    Returns:
      A List of IdentityGroupInterface objects that this identity is a direct member of.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getSubscribers

    public List getSubscribers() throws ServiceException, RemoteException
    Description copied from interface: `PersonInterface`
    Get a List of the subscriber identities owned by this Person.

    Specified by:
      `getSubscribers` in interface `PersonInterface`
    Returns:
      a List of SubscriberInterface objects.
    Throws:
      `ServiceException` - if a repository error occurs.
      `RemoteException` - in the event of remote object failure.

  - ### addLogin

    public void addLogin(LoginInterface login) throws ServiceException, RemoteException
    Description copied from interface: `IdentityInterface`
    Add a login to the Identity.
    Specified by:
      `addLogin` in interface `IdentityInterface`
    Parameters:
      `login` - The Login to add to this Identity.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### removeLogin

    public void removeLogin(LoginInterface login) throws ServiceException, RemoteException
    Description copied from interface: `IdentityInterface`
    Remove a Login from the Identity.
    Specified by:
      `removeLogin` in interface `IdentityInterface`
    Parameters:
      `login` - The Login to remove from this Identity.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getDisplayName

    public String getDisplayName() throws ServiceException, RemoteException
    Description copied from interface: `IdentityInterface`
    Get the identity's display name attribute.
    Specified by:
      `getDisplayName` in interface `IdentityInterface`
    Returns:
      The display name, or null if it hasn't been set.
    Throws:
      `ServiceException` - If a service level error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setDisplayName

    public void setDisplayName(String displayName) throws ServiceException, RemoteException
    Description copied from interface: `IdentityInterface`
    Set the identity's display name. Most users will not have permission to perform this operation. Only user/group administrators will be able to change display names.
    Specified by:
      `setDisplayName` in interface `IdentityInterface`
    Parameters:
      `displayName` - The identity's new display name.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getEffectiveDispayName

    public String getEffectiveDispayName() throws ServiceException, RemoteException
    Description copied from interface: `IdentityInterface`
    Get the effective display name for the identity. If the display name is non-null, that will be returned. Otherwise, the name is returned.
    Specified by:
      `getEffectiveDispayName` in interface `IdentityInterface`
    Returns:
      The effective display name.
    Throws:
      `ServiceException` - If a service level error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getEffectiveDisplayName

    public String getEffectiveDisplayName() throws ServiceException, RemoteException
    Description copied from interface: `IdentityInterface`
    Get the effective display name for the identity. If the display name is non-null, that will be returned. Otherwise, the name is returned.
    Specified by:
      `getEffectiveDisplayName` in interface `IdentityInterface`
    Returns:
      The effective display name.
    Throws:
      `ServiceException` - If a service level error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getIdentityType

    public String getIdentityType() throws ServiceException, RemoteException
    Description copied from interface: `IdentityInterface`
    Return the type of Identity. This is mostly for internal use. Returns either "Person" or "IdentityGroup". To get the user friendly string, just use getType().
    Specified by:
      `getIdentityType` in interface `IdentityInterface`
    Returns:
      The identity type string.
    Throws:
      `ServiceException` - If a service level error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getTitle

    public String getTitle() throws ServiceException, RemoteException
    Description copied from interface: `PersonInterface`
    Get the Title attribute.
    Specified by:
      `getTitle` in interface `PersonInterface`
    Returns:
      The value of the Title attribute, or null if unset.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setTitle

    public void setTitle(String title) throws ServiceException, RemoteException
    Description copied from interface: `PersonInterface`
    Set the Person's Title.
    Specified by:
      `setTitle` in interface `PersonInterface`
    Parameters:
      `title` - The new Title for the person.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### addLocation

    public void addLocation(LocationInterface location) throws ServiceException, RemoteException
    Description copied from interface: `PersonInterface`
    Add a location to the user's list of locations.
    Specified by:
      `addLocation` in interface `PersonInterface`
    Parameters:
      `location` - The new location to add.
    Throws:
      `ServiceException` - If a metadata error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### addPhoneNumber

    public void addPhoneNumber(PhoneNumberInterface phone) throws ServiceException, RemoteException
    Description copied from interface: `PersonInterface`
    Add a phone number to the user's list.
    Specified by:
      `addPhoneNumber` in interface `PersonInterface`
    Parameters:
      `phone` - The new phone number to add.
    Throws:
      `ServiceException` - If a metadata error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getLocations

    public List getLocations() throws ServiceException, RemoteException
    Description copied from interface: `PersonInterface`
    Return the list of locations for the user. These may be valid addresses, but the description of Location in the metadata doesn't say that, so it could be just a country, etc.
    Specified by:
      `getLocations` in interface `PersonInterface`
    Returns:
      The List of locations defined for the user.
    Throws:
      `ServiceException` - If a metadata error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getPhoneNumbers

    public List getPhoneNumbers() throws ServiceException, RemoteException
    Description copied from interface: `PersonInterface`
    Get the list of phone numbers for the user.
    Specified by:
      `getPhoneNumbers` in interface `PersonInterface`
    Returns:
      The List of phone numbers defined for the user.
    Throws:
      `ServiceException` - If a metadata error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### removeLocation

    public void removeLocation(LocationInterface location) throws ServiceException, RemoteException
    Description copied from interface: `PersonInterface`
    Remove a location from the user's list of lcoations.
    Specified by:
      `removeLocation` in interface `PersonInterface`
    Parameters:
      `location` - The location to remove.
    Throws:
      `ServiceException` - If a metadata error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### removePhoneNumber

    public void removePhoneNumber(PhoneNumberInterface phone) throws ServiceException, RemoteException
    Description copied from interface: `PersonInterface`
    Remove a phone number from the user's list.
    Specified by:
      `removePhoneNumber` in interface `PersonInterface`
    Parameters:
      `phone` - The phone number to remove.
    Throws:
      `ServiceException` - If a metadata error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setInternalAccountPassword

    public void setInternalAccountPassword(String password) throws ServiceException, RemoteException
    Description copied from interface: `PersonInterface`
    Set Internal Account Password
    Specified by:
      `setInternalAccountPassword` in interface `PersonInterface`
    Parameters:
      `password` - The password (clear text or encoded) to be set for this Person
    Throws:
      `ServiceException` - If a metadata error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### deleteInternalAccount

    public void deleteInternalAccount() throws ServiceException, RemoteException
    Description copied from interface: `PersonInterface`
    Delete Internal Account
    Specified by:
      `deleteInternalAccount` in interface `PersonInterface`
    Throws:
      `ServiceException` - If a metadata error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getInternalAccountOptions

    public InternalLoginUserInfo getInternalAccountOptions() throws ServiceException, RemoteException
    Description copied from interface: `PersonInterface`
    Return Internal Account (InternalLoginUserInfo) Options for this Person
    Specified by:
      `getInternalAccountOptions` in interface `PersonInterface`
    Throws:
      `ServiceException` - If a metadata error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setInternalAccountOptions

    public void setInternalAccountOptions(InternalLoginUserInfo intrlLgnUsrInfo) throws ServiceException, RemoteException
    Description copied from interface: `PersonInterface`
    Set Internal Account (InternalLoginUserInfo) Options for this Person
    Specified by:
      `setInternalAccountOptions` in interface `PersonInterface`
    Throws:
      `ServiceException` - If a metadata error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getIdentityMembershipLevels

    public List<IdentityMembershipInterface> getIdentityMembershipLevels() throws ServiceException, RemoteException
    Description copied from interface: `IdentityInterface`
    Returns the List of IdentityMembershipInterface instances ordered by membership level
    Specified by:
      `getIdentityMembershipLevels` in interface `IdentityInterface`
    Returns:
      List<`IdentityMembershipInterface`>
    Throws:
      `ServiceException` - If a service level error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getCreatedObjects

    public List<MetadataInterface> getCreatedObjects() throws ServiceException, RemoteException
    Description copied from interface: `PersonInterface`
    Returns the list of objects this person has created.

    Note, this can potentially be a fairly expensive request depending on how many objects the user has created.

    Specified by:
      `getCreatedObjects` in interface `PersonInterface`
    Returns:
      list of created objects
    Throws:
      `ServiceException` - If a service level error occurs.
      `RemoteException` - in the event of remote object failure.

  - ### getModifiedObjects

    public List<MetadataInterface> getModifiedObjects() throws ServiceException, RemoteException
    Description copied from interface: `PersonInterface`
    Returns the list of objects this person has modified.

    Note, this can potentially be a fairly expensive request depending on how many objects the user has modified.

    Specified by:
      `getModifiedObjects` in interface `PersonInterface`
    Returns:
      list of modified objects
    Throws:
      `ServiceException` - If a service level error occurs.
      `RemoteException` - in the event of remote object failure.

  - ### getExternalIdentities

    public List<ExternalIdentityInterface> getExternalIdentities() throws ServiceException, RemoteException
    Description copied from interface: `IdentityInterface`
    Get a list of the External Identity objects associated with this Identity.
    Specified by:
      `getExternalIdentities` in interface `IdentityInterface`
    Returns:
      a List of the External Identities.
    Throws:
      `ServiceException` - in the event of a repository failure.
      `RemoteException` - in the event of remote object failure.

  - ### addExternalIdentity

    public void addExternalIdentity(ExternalIdentityInterface externalIdentity) throws ServiceException, RemoteException
    Description copied from interface: `IdentityInterface`
    Add an external identity to the Identity.
    Specified by:
      `addExternalIdentity` in interface `IdentityInterface`
    Parameters:
      `externalIdentity` - The external identity to add to this Identity.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### removeExternalIdentity

    public void removeExternalIdentity(ExternalIdentityInterface externalIdentity) throws ServiceException, RemoteException
    Description copied from interface: `IdentityInterface`
    Remove an external identity from the Identity.
    Specified by:
      `removeExternalIdentity` in interface `IdentityInterface`
    Parameters:
      `externalIdentity` - The external identity to remove from this Identity.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.